<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Registration extends CI_Controller {

 public function __construct() {
      parent::__construct();
      $this->load->model('Registration_model');
  }
	public function index()
	{
      $this->form_validation->set_rules('fname', 'First Name', 'trim|required|min_length[3]|max_length[30]');
      $this->form_validation->set_rules('lname', 'Last Name', 'trim|required|min_length[3]|max_length[30]');
      $this->form_validation->set_rules('phone', 'Phone', 'required|is_unique[tblregistration.Phoneno]');
      $this->form_validation->set_rules('gender', 'radio button', 'required');
      $this->form_validation->set_rules('email', 'Email ID', 'trim|required|is_unique[tblregistration.Emailid]');
      $this->form_validation->set_rules('Password', 'Password', 'trim|required|min_length[5]|matches[cpassword]');
      $this->form_validation->set_rules('cpassword', 'Confrim password', 'trim|required|min_length[5]');
		 if ($this->form_validation->run() == FALSE)
        {
        	$this->load->view('registration');
        }
        else{
        	    $firstname=$this->input->post('fname');
                $lastname=$this->input->post('lname');
                $phone=$this->input->post('phone');
                 $gender=$this->input->post('gender');
                $email=$this->input->post('email');
               $password=sha1($this->input->post('Password'));
       if($this->Registration_model->reg_insert($firstname,$lastname,$phone,$gender,$email,$password))
	  	   {
                  $this->session->set_flashdata('msg','<div class="alert alert-success text-center">You are Successfully Registered! Please login to access your Profile!</div>');
                redirect('Registration');
	  	   } 
	  	   else{
	  	   	$this->session->set_flashdata('msg','<div class="alert alert-danger text-center">Oops! Error.  Please try again later!!!</div>');
                redirect('Registration');
	  	   }  
        }
		
	}
     function check_email_avalibility()  
      {  
           if(!filter_var($_POST["email"], FILTER_VALIDATE_EMAIL))  
           {  
                echo '<label class="text-danger"><span class="glyphicon glyphicon-remove"></span> Invalid Email</span></label>';
                 echo "<script>$('#submit').prop('disabled',true);</script>";   
           }  
           else  
           {  
                
                if($this->Registration_model->is_email_available($_POST["email"]))  
                {  
                     echo '<label class="text-danger"><span class="glyphicon glyphicon-remove"></span> Email Already register</label>';
                      echo "<script>$('#submit').prop('disabled',true);</script>";   
                }  
                else  
                {  
                     echo '<label class="text-success"><span class="glyphicon glyphicon-ok"></span> Email Available</label>';  
                }  
           }  
      }  

        function check_phone_avalibility()  
      {  
           if(!is_numeric($_POST["phone"]))  
           {  
                echo '<label class="text-danger"><span class="glyphicon glyphicon-remove"></span> Invalid Phone</span></label>';
                 echo "<script>$('#submit').prop('disabled',true);</script>";   
           }  
           else  
           {  
                
                if($this->Registration_model->is_phone_available($_POST["phone"]))  
                {  
                     echo '<label class="text-danger"><span class="glyphicon glyphicon-remove"></span> Mobile Already register</label>';
                      echo "<script>$('#submit').prop('disabled',true);</script>";   
                }  
                else  
                {  
                     echo '<label class="text-success"><span class="glyphicon glyphicon-ok"></span> Mobile No Available</label>';  
                }  
           }  
      }  

}
