
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>User Login and Registration With Admin Panel</title>

    <!-- Custom fonts for this template-->
    <?php echo link_tag('assets/vendor/fontawesome-free/css/all.min.css');?>
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <?php echo link_tag('assets/css/sb-admin-2.min.css');?>

</head>

<body class="bg-gradient-primary">

    <div class="container">

        <div class="card o-hidden border-0 shadow-lg my-5">
            <div class="card-body p-0">
                <!-- Nested Row within Card Body -->
                <div class="row">
                    <div class="col-lg-5  d-lg-block">
                   
                   <img src="<?php echo base_url('assets/img/2.jpg');?>">
                        
                    </div>
                    <div class="col-lg-7">
                        <div class="p-5">
                            <div class="text-center">
                                <h1 class="h4 text-gray-900 mb-4">Create an Account!</h1>
                            </div>
                           
                            <?php  echo $this->session->flashdata('msg');?>
                        <?php echo form_open('Registration',['name'=>'signup','class'=>'user']);?>
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        <?php echo form_input(['name'=>'fname','id'=>'fname','class'=>'form-control form-control-user','placeholder'=>'First Name']);?>
                                    <span style="color: red;"><?php echo form_error('fname');?></span>
                                    </div>
                                    <div class="col-sm-6">
                                            <?php echo form_input(['name'=>'lname','id'=>'lname','class'=>'form-control form-control-user','placeholder'=>'Last Name']);?>
                                            <span style="color: red;"><?php echo form_error('lname');?></span>
                                            

                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                            <?php echo form_input(['name'=>'phone','id'=>'phone','maxlength'=>'10','class'=>'form-control form-control-user','placeholder'=>'Phone Number']);?>
                            <span style="color: red;"><?php echo form_error('phone');?></span>
                            <span id="phone_result"></span>
                                    </div>
                                    <div class="col-sm-6">
                                   <?php echo form_radio(['name'=>'gender','value'=>'Male']);?>Male
                                   <?php echo form_radio(['name'=>'gender','value'=>'Female']);?>Female
                                   <?php echo form_radio(['name'=>'gender','value'=>'Transgender']);?>Transgender
                                   <span style="color: red;"><?php echo form_error('gender');?></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    
                                    <?php echo form_input(['name'=>'email','id'=>'email','class'=>'form-control form-control-user','placeholder'=>'Email Address']);?>
                                    <span style="color: red;"><?php echo form_error('email');?></span>
                                     <span id="email_result"></span>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                  
                                             <?php echo form_password(['name'=>'Password','id'=>'Password','class'=>'form-control form-control-user','placeholder'=>'Password']);?>
                                             <span style="color: red;"><?php echo form_error('Password');?></span>
                                    </div>
                                    <div class="col-sm-6">
                                     
                                                <?php echo form_password(['name'=>'cpassword','id'=>'cpassword','class'=>'form-control form-control-user','placeholder'=>'Repeat Password']);?> 
                                                <span style="color: red;"><?php echo form_error('cpassword');?></span>     
                                    </div>
                                </div>
                               
                                <?php echo form_submit(['name'=>'submit','id'=>'submit','value'=>'Register Account','class'=>'btn btn-primary btn-user btn-block']);?>
                                <hr>
                               
                            
                            <?php echo form_close();?>
                            <hr>
                            
                            <div class="text-center">
                                <a class="small" href="<?php echo site_url('Login');?>">Already have an account? Login!</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- Bootstrap core JavaScript-->
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>  
    <script src="<?php echo base_url('assets/jquery/jquery.min.js');?>"></script> 
    <script src="<?php echo base_url('assets/bootstrap/js/bootstrap.bundle.min.js');?>"></script> 

    <!-- Core plugin JavaScript-->
    <script src="<?php echo base_url('assets/vendor/jquery-easing/jquery.easing.min.js');?>"></script> 

    <!-- Custom scripts for all pages-->
  <script src="<?php echo base_url('assets/js/sb-admin-2.min.js');?>"></script> 

</body>

</html>

<script>  
 $(document).ready(function(){  
      $('#email').change(function(){ 
     
           var email = $('#email').val();  
           if(email != '')  
           {  
                $.ajax({  
                     url:"<?php echo base_url(); ?>Registration/check_email_avalibility", 

                     method:"POST",  
                     data:{email:email},  
                     success:function(data){  
                        //alert(data);
                          $('#email_result').html(data);  
                           //alert(data); 
                     }  
                });  
           }  
      });  
 });  
 </script> 

 <script>  
 $(document).ready(function(){  
      $('#phone').change(function(){ 
     
           var phone = $('#phone').val();  
           if(phone != '')  
           {  
                $.ajax({  
                     url:"<?php echo base_url(); ?>Registration/check_phone_avalibility", 

                     method:"POST",  
                     data:{phone:phone},  
                     success:function(data){  
                        //alert(data);
                          $('#phone_result').html(data);  
                           //alert(data); 
                     }  
                });  
           }  
      });  
 });  
 </script> 